Bug 480414 - [NetApp 5.4 bug] rsh (rlogin) goes into infinite loop on failure
[NetApp 5.4 bug] rsh (rlogin) goes into infinite loop on failure
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsh (Show other bugs)
5.2
x86_64 Linux
high Severity high
: beta
: ---
Assigned To: Adam Tkac
BaseOS QE
: OtherQA
Depends On:
Blocks: 461680 483784
  Show dependency treegraph
 
Reported: 2009-01-16 17:11 EST by Dan Muntz
Modified: 2013-04-30 19:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 08:27:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Muntz 2009-01-16 17:11:28 EST
Description of problem:
If you try this command: "rsh <machine> -l root" on a 64-bit install of RHEL 5.2, and the connection fails, the command goes into an infinite loop.  Previously (and for some reason, in the 32-bit install), the Kerberized rlogin will fall back to the "normal" /usr/bin/rlogin when krb4 connection fails, and then /usr/bin/rlogin either succeeds, or fails and exits.  On 64-bit installs, /usr/bin/rlogin seems to be retrying (kerberized?) rlogin on failure, thus going into an infinite loop.
 
# rsh acehigh -l root
connect to address 172.17.84.153 port 543: Connection refused
Trying krb4 rlogin...
connect to address 172.17.84.153 port 543: Connection refused
trying normal rlogin (/usr/bin/rlogin)
connect to address 172.17.84.153 port 543: Connection refused
Trying krb4 rlogin...
connect to address 172.17.84.153 port 543: Connection refused
trying normal rlogin (/usr/bin/rlogin)
connect to address 172.17.84.153 port 543: Connection refused
Trying krb4 rlogin...
.......


Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. see description
2.
3.
  
Actual results:
# rsh acehigh -l root
connect to address 172.17.84.153 port 543: Connection refused
Trying krb4 rlogin...
connect to address 172.17.84.153 port 543: Connection refused
trying normal rlogin (/usr/bin/rlogin)
connect to address 172.17.84.153 port 543: Connection refused
Trying krb4 rlogin...
connect to address 172.17.84.153 port 543: Connection refused
trying normal rlogin (/usr/bin/rlogin)
connect to address 172.17.84.153 port 543: Connection refused
Trying krb4 rlogin...
.......


Expected results:
# rsh acehigh -l root
connect to address 172.17.84.153 port 543: Connection refused
Trying krb4 rlogin...
connect to address 172.17.84.153 port 543: Connection refused
trying normal rlogin (/usr/bin/rlogin)
Password:

Additional info:
Comment 1 Andrius Benokraitis 2009-01-16 17:15:46 EST
Have you tried RHEL 5.3 Beta to see if this has been fixed?
Comment 2 Adam Tkac 2009-01-19 10:21:29 EST
Hm, it's weird. Could you attach strace output, please? ("strace rsh <machinename> -l root > log 2>&1" and then attach log file)
Comment 3 Adam Tkac 2009-02-23 06:26:08 EST
(In reply to comment #2)
> Hm, it's weird. Could you attach strace output, please? ("strace rsh
> <machinename> -l root > log 2>&1" and then attach log file)

Could you attach requested strace output, please? Otherwise this issue won't be fixed in RHEL 5.4
Comment 4 RHEL Product and Program Management 2009-02-25 08:27:59 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 5 Andrius Benokraitis 2009-02-25 10:30:24 EST
Closing due to reporter inactivity.

Note You need to log in before you can comment on or make changes to this bug.